Skip to main content
Infrastructure/Agents

TriggerProbe

Trigger an auto-discovery probe on the target agent to detect running services

POST/api/v1/agents/{uuid}/probe

Operation ID

TriggerProbe

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    UUID of the agent to trigger probe on

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • agentId
    String

    UUID of the agent that performed the probe

    Example: agent-abc123-def456

  • timestamp
    String

    Timestamp for this resource

    Example: 2026-01-15T08:00:00Z

  • detectedServices
    List

    Detected services

    Example: (nested array)

    • service
      String

      Name of the detected service

      Example: nginx

    • confidence
      Long

      Detection confidence score between 0 and 1

      Example: 0.95

    • evidence
      List

      Evidence for this resource

      Example: item1,item2

    • recommendedConfig
      Object

      Recommended config

      • type
        String

        Collector type identifier

        Example: prometheus

      • source
        String

        Data source path or URL for the collector

        Example: /var/log/app.log

      • parser
        String

        Parser to use for ingested data

        Example: json

      • plugin
        String

        Plugin identifier handling this collector

        Example: filebeat

      • endpoint
        String

        Target endpoint to send collected data

        Example: http://loki:3100/loki/api/v1/push

      • vars
        LinkedHashMap

        Variable definitions for template rendering

        Example: (nested object)

  • probeTimeMs
    String

    Time taken to complete the probe in milliseconds

    Example: 1200